%global srcname fuzzywuzzy
%global sum Fuzzy String Matching

Name:           python-%{srcname}
Version:        0.16.0
Release:        1%{?dist}
Summary:        %{sum}

License:        GPLv2+
URL:            https://github.com/seatgeek/%{srcname}
Source0:        https://github.com/seatgeek/%{srcname}/archive/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel
BuildRequires:  python2-pycodestyle python3-pycodestyle
BuildRequires:  python2-hypothesis python3-hypothesis
BuildRequires:  python2-pytest python3-pytest

%description
Fuzzy string matching like a boss. It uses `Levenshtein Distance
<https://en.wikipedia.org/wiki/Levenshtein_distance>`_ to calculate
the differences between sequences in a simple-to-use package.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Fuzzy string matching like a boss. It uses `Levenshtein Distance
<https://en.wikipedia.org/wiki/Levenshtein_distance>`_ to calculate
the differences between sequences in a simple-to-use package.


%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Fuzzy string matching like a boss. It uses `Levenshtein Distance
<https://en.wikipedia.org/wiki/Levenshtein_distance>`_ to calculate
the differences between sequences in a simple-to-use package.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
# If, however, we're installing separate executables for python2 and python3,
# the order needs to be reversed so the unversioned executable is the python2 one.
%py2_install
%py3_install

#check
#{__python2} setup.py test
#{__python3} setup.py test

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python2-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/*

%changelog
* Sun Mar 25 2018 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.16.0-1
- initial spec file
